<script setup lang="ts">
    const webviewStyles = reactive({
        progress: {
            color: '#42c02e',
            height: '1%',
        },
    })

    const src = ref<string>()
    onLoad(({ token, userId }) => {
        src.value = `/static/chat.html?token=${token}&userId=${userId}`
    })
</script>

<template>
    <view>
        <web-view :webview-styles="webviewStyles" :src="src" />
    </view>
</template>
